Skip to main content
GET
/
defects
/
{id}
Get a single DVIR defect by ID.
curl --request GET \
  --url https://api.samsara.com/defects/{id} \
  --header 'Authorization: Bearer <token>'
{
  "comment": "Engine failure.",
  "dvirId": "292371177",
  "id": "9700544",
  "isResolved": true,
  "createdAtTime": "2020-01-27T07:06:25Z",
  "defectPhotos": [
    {
      "createdAtTime": "2020-01-27T07:06:25Z",
      "url": "https://s3.samsara.com/samsara-driver-media-upload/defect-photo-path"
    }
  ],
  "defectTypeId": "25d6151e-29b5-453e-875a-7c5425332e09",
  "mechanicNotes": "Broken passenger side window.",
  "resolvedAtTime": "2020-01-27T07:06:25Z",
  "resolvedBy": {
    "id": "8172",
    "name": "Jane Mechanic",
    "type": "mechanic"
  },
  "trailer": {
    "externalIds": {},
    "id": "494123"
  },
  "updatedAtTime": "2020-01-27T07:06:25Z",
  "vehicle": {
    "externalIds": {},
    "id": "494125"
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The unique ID of the DVIR defect.

Query Parameters

includeExternalIds
boolean

Optional boolean indicating whether to return external IDs on supported entities

Response

OK response.

comment
string
required

Comment on the defect.

Example:

"Engine failure."

dvirId
string
required

The unique ID of the defect's DVIR.

Example:

"292371177"

id
string
required

The unique ID of the DVIR defect.

Example:

"9700544"

isResolved
boolean
required

Signifies if this defect is resolved.

Example:

true

createdAtTime
string

Time when defect was created in RFC 3339 format.

Example:

"2020-01-27T07:06:25Z"

defectPhotos
object[]

List of DVIR defect's photos

defectTypeId
string

The unique ID of the defect type.

Example:

"25d6151e-29b5-453e-875a-7c5425332e09"

mechanicNotes
string

The mechanics notes on the defect.

Example:

"Broken passenger side window."

resolvedAtTime
string

Time when this defect was resolved in RFC 3339 format. Will not be returned if the defect is unresolved.

Example:

"2020-01-27T07:06:25Z"

resolvedBy
object

The person who resolved this defect.

trailer
object

Defect's trailer object

updatedAtTime
string

Time when defect was last updated in RFC 3339 format.

Example:

"2020-01-27T07:06:25Z"

vehicle
object

Defect's vehicle object